ERRO DE ATUALIZAÇÃO DO UBUNTU

1. ERRO DE ATUALIZAÇÃO DO UBUNTU

Yuri Komuta
PragaMonster

(usa Ubuntu)

Enviado em 21/04/2019 - 20:32h

oi gente,
sou iniciante no Linux - Ubuntu estou com a versão 18.04 LTS.
Estou com o erro abaixo, já tentei o autoremove e o apt --fix-broken install, mas não consigo resolver


[email protected]:/home/komuta# sudo apt-get autoremove
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
python3-gi-cairo : Depende: python3-gi (= 3.26.1-2ubuntu1) mas 3.26.1-2 está instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).
[email protected]:/home/komuta# sudo apt-get update
Atingido:1 http://br.archive.ubuntu.com/ubuntu bionic InRelease
Atingido:2 https://download.mono-project.com/repo/ubuntu vs-bionic InRelease
Atingido:3 http://ppa.launchpad.net/git-core/ppa/ubuntu bionic InRelease
Obter:4 http://br.archive.ubuntu.com/ubuntu bionic-updates InRelease [88,7 kB]
Obter:5 http://security.ubuntu.com/ubuntu bionic-security InRelease [88,7 kB]
Atingido:6 http://linux.teamviewer.com/deb stable InRelease
Atingido:7 http://ppa.launchpad.net/noobslab/apps/ubuntu bionic InRelease
Ign:8 https://dl.bintray.com/resin-io/debian stable InRelease
Obter:9 http://br.archive.ubuntu.com/ubuntu bionic-backports InRelease [74,6 kB]
Err:10 https://dl.bintray.com/resin-io/debian stable Release
404 Not Found [IP: 52.32.49.40 443]
Obter:11 http://ppa.launchpad.net/webupd8team/java/ubuntu bionic InRelease [15,4 kB]
sh: 1: /usr/lib/cnf-update-db: not found
Lendo listas de pacotes... Pronto
E: The repository 'https://dl.bintray.com/resin-io/debian stable Release' no longer has a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Repository 'http://ppa.launchpad.net/webupd8team/java/ubuntu bionic InRelease' changed its 'Label' value from 'Oracle Java (JDK) 8 Installer PPA' to 'Oracle Java (JDK) 8 Installer PPA (DISCONTINUED)'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.
E: Problem executing scripts APT::Update::Post-Invoke-Success 'if /usr/bin/test -w /var/lib/command-not-found/ -a -e /usr/lib/cnf-update-db; then /usr/lib/cnf-update-db > /dev/null; fi'
E: Sub-process returned an error code
[email protected]:/home/komuta# apt-get remove idle3
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
O pacote 'idle3' não está instalado, por isso não será removido
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
python3-gi-cairo : Depende: python3-gi (= 3.26.1-2ubuntu1) mas 3.26.1-2 está para ser instalado




  


2. Re: ERRO DE ATUALIZAÇÃO DO UBUNTU

Gabriel Moreira
GabrielMS86

(usa Arch Linux)

Enviado em 21/04/2019 - 20:51h

1º Abra o Synaptic, procure nele por pacotes quebrados e remova-os.

2º Remova os PPAs do seu Ubuntu (prioritariamente os que já estão abandonados, mas recomendo remover todos mesmo).

3º Atualize novamente seu sistema.



3. Re: ERRO DE ATUALIZAÇÃO DO UBUNTU

João Cláudio de Alcântara
aguamole

(usa Lubuntu)

Enviado em 21/04/2019 - 22:08h

O amigo disse o que você tem que fazer ele só não disse como!

Comando:
$ cat /etc/apt/sources.list ; sudo dpkg --configure -a ; sudo apt-get install -f ; lsb_release
Coloque a saída do comando no tópico

CPU Q6600 GTX 750 SofRaid 4xSSD 4Gb DDR2 mesmo assim uso Lubuntu.


4. Re: ERRO DE ATUALIZAÇÃO DO UBUNTU

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 21/04/2019 - 22:44h

Programas e atualizações, outros programas, desmarcar todos PPA e fontes que não sejam do Bionic , Google Chrome ou Skype




5. Re: ERRO DE ATUALIZAÇÃO DO UBUNTU

Paulo Edson
pauloedson

(usa Ubuntu)

Enviado em 23/04/2019 - 11:28h

apt-get --allow-releaseinfo-change update

usei esse comando (em modo root) e funcionou pra mim!!!






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts